@if (
  adminReferentialDataService.adminReferentialData$ | async;
  as adminReferentialData
) {
  @if (componentData$ | async; as componentData) {
    <div class="full-height full-width overflow-hidden flex-column">
      <div class="flex-row">
        <div class="admin-workspace-secondary-title">
          {{
            'sqtm-core.administration-workspace.system.synchronizations-supervision.title'
              | translate
          }}
        </div>
        @if (componentData.synchronisationPlugins.length > 0) {
          <div class="activate-auto-refresh-label">
            {{
              'sqtm-core.administration-workspace.system.synchronizations-supervision.activate-auto-refresh.label'
                | translate
            }}
          </div>
          <i
            nz-icon
            nzType="sqtm-core-generic:help"
            nzTheme="fill"
            class="m-l-5 m-r-15 m-t-4 font-20-px current-workspace-main-color"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.administration-workspace.system.synchronizations-supervision.activate-auto-refresh.tooltip'
                | translate
            "
          ></i>
          <nz-switch
            class="m-b-10 m-r-35"
            [(ngModel)]="
              componentData.isAutomaticRefreshForSupervisionPageActivated
            "
            [nzControl]="true"
            [nzCheckedChildren]="checkedTemplate"
            [nzUnCheckedChildren]="unCheckedTemplate"
            (click)="toggleAutomaticRefresh(componentData)"
            [attr.data-test-toolbar-button-id]="'automatic-refresh-button'"
          >
          </nz-switch>
          <ng-template #checkedTemplate
            ><i nz-icon nzType="check" class="table-icon-size m-t-2"></i
          ></ng-template>
          <ng-template #unCheckedTemplate
            ><i nz-icon nzType="close" class="table-icon-size m-t-2"></i
          ></ng-template>
        }
      </div>
      @if (adminReferentialData.synchronizationPlugins.length > 0) {
        <div class="flex-row m-b-10">
          <div class="m-r-10" style="margin-left: auto">
            {{
              'sqtm-core.administration-workspace.system.synchronizations-supervision.last-update'
                | translate
            }}
          </div>
          <div class="m-r-20">
            {{ formatRefreshDate(componentData.lastSupervisionPageRefresh) }}
          </div>
          <i
            nz-icon
            nz-dropdown
            nzType="sqtm-core-generic:refresh"
            nzTheme="outline"
            class="current-workspace-button action-icon-size m-r-35"
            nz-tooltip
            [nzTooltipTitle]="'sqtm-core.generic.label.refresh' | translate"
            [attr.data-test-toolbar-button-id]="'refresh-button'"
            (click)="refresh()"
          >
          </i>
        </div>
      }
      @if (adminReferentialData.synchronizationPlugins.length > 0) {
        <div class="full-width full-height">
          <div class="full-width full-height p-r-15" style="overflow-y: auto">
            <sqtm-app-system-jira-synchronization-grid-panel></sqtm-app-system-jira-synchronization-grid-panel>
            <sqtm-app-system-gitlab-synchronization-grid-panel></sqtm-app-system-gitlab-synchronization-grid-panel>
            <sqtm-app-system-automjira-synchronization-grid-panel></sqtm-app-system-automjira-synchronization-grid-panel>
          </div>
        </div>
      } @else {
        <div
          class="full-width full-height alert-message"
          [attr.data-test-element-id]="'no-plugin-installed-message'"
        >
          {{
            'sqtm-core.administration-workspace.system.synchronizations-supervision.no-plugin-installed'
              | translate
          }}
        </div>
      }
    </div>
  } @else {
    <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
  }
} @else {
  <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
}
